import board
import time
import neopixel
import pwmio
import digitalio
from adafruit_motor import servo
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

strip_pin = board.D5
strip_num_of_lights = 30
strip = neopixel.NeoPixel(strip_pin, strip_num_of_lights, brightness = 0.5, auto_write=True)

GOLD=(255,215,0)
MAROON=(128,0,0)

button = digitalio.DigitalInOut(board.D2)
button.switch_to_input(pull=digitalio.Pull.UP)

audio = AudioOut(board.D4)
path = "sounds/"

pwm = pwmio.PWMOut(board.D3, frequency = 50)

servo_1 = servo.Servo(pwm, max_pulse = 2500)

'''def strip_lights():
    strip.fill(GOLD)
    time.sleep(1.0)
    strip.fill(MAROON)
    time.sleep(1.0)
    strip.fill((0,0,0))'''

def servo_sound():
    for x in range(120,180,10):
        servo_1.angle=x
        time.sleep(0.05)
        strip.fill(GOLD)
    time.sleep(0.001)
    for x in range(180,120,-10):
        servo_1.angle=x
        time.sleep(0.05)
        strip.fill(MAROON)
    strip.fill((0,0,0))
    time.sleep(0.001)

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            servo_sound()

while True:
    if button.value:
        pass
    else:
        print("Button Pressed")
        play_sound("for-boston.wav")
    time.sleep(0.5)
